## ros-noetic-cob-helper-tools 0.6.32

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_helper_tools)

find_package(catkin REQUIRED COMPONENTS dynamic_reconfigure message_generation)

catkin_python_setup()

generate_dynamic_reconfigure_options(
  cfg/HelperTools.cfg
)

catkin_package(
  CATKIN_DEPENDS dynamic_reconfigure
)

#############
## Install ##
#############

catkin_install_python(PROGRAMS
  scripts/auto_tools.py
  scripts/auto_init.py
  scripts/auto_recover.py
  scripts/fake_diagnostics.py
  scripts/fake_driver.py
  scripts/visualize_navigation_goals.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## ros-noetic-cob-helper-tools 0.6.31

=== debian/changelog ===
ros-noetic-cob-helper-tools (0.6.31-1buster) buster; urgency=high

  * Merge pull request #324 <https://github.com/ipa320/cob_command_tools/issues/324> from pgehring/reduce_logging
    [kevin] throttle identical loginfo stream
  * fix pylint
  * only check diagnostics message if parameter true
  * throttle identical loginfo stream
  * Contributors: Felix Messmer, fmessmer, pgehring

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 03 Jan 2023 23:00:00 -0000

ros-noetic-cob-helper-tools (0.6.30-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-helper-tools (0.6.29-1buster) buster; urgency=high

  * Merge pull request #319 <https://github.com/ipa320/cob_command_tools/issues/319> from fmessmer/feature/extend_fake_driver
    proper service and diagnostic logic for fake_driver
  * proper service and diagnostic logic for fake_driver
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-helper-tools (0.6.28-1buster) buster; urgency=high

  * Merge pull request #310 <https://github.com/ipa320/cob_command_tools/issues/310> from HannesBachter/fix/sleep_init
    sleep for 1 second after unsuccessful try to initialize
  * sleep for 1 second after unsuccessful try to initialize
  * Contributors: Felix Messmer, HannesBachter

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 14 Mar 2022 23:00:00 -0000

ros-noetic-cob-helper-tools (0.6.27-1buster) buster; urgency=high

  * Merge pull request #309 <https://github.com/ipa320/cob_command_tools/issues/309> from pgehring/feature/auto_tools
    combine auto_init and auto_recover
  * check enable state for subscribing and unsubscribing
  * fix imports
  * fix package name conflict
  * Revert "move dynamic reconfigure to python module"
    This reverts commit ce13c73a7638b44a8dcf23f75c82d86a83431ad4.
  * move dynamic reconfigure to python module
  * preserve auto_init and auto_recover nodes
  * use params from server to enable init or recover
  * setup auto_tools node
  * add auto_tools node
  * move auto_init and auto_recover to python module
  * Contributors: Felix Messmer, pgehring

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-cob-helper-tools (0.6.26-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 25 Nov 2021 23:00:00 -0000

ros-noetic-cob-helper-tools (0.6.25-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 01 Aug 2021 22:00:00 -0000

ros-noetic-cob-helper-tools (0.6.24-1buster) buster; urgency=high

  * Merge pull request #304 <https://github.com/ipa320/cob_command_tools/issues/304> from fmessmer/fixup_auto_tools
    fixup condition in auto_recover
  * fixup condition in auto_recover
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 01 Jul 2021 22:00:00 -0000

ros-noetic-cob-helper-tools (0.6.23-1buster) buster; urgency=high

  * Merge pull request #303 <https://github.com/ipa320/cob_command_tools/issues/303> from fmessmer/enhance_auto_tools
    enhance auto tools
  * tmp: debug logoutput for auto_recover for disabled cases
  * introduce em_state_ignore for auto_init
  * allow infinite auto_init
  * use message enum
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 30 Jun 2021 22:00:00 -0000

ros-noetic-cob-helper-tools (0.6.22-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 May 2021 22:00:00 -0000

ros-noetic-cob-helper-tools (0.6.21-1buster) buster; urgency=high

  * Merge pull request #301 <https://github.com/ipa320/cob_command_tools/issues/301> from HannesBachter/fix/visualize_in_map
    remove leading / in frame_id
  * remove leading / in frame_id
  * Contributors: Felix Messmer, HannesBachter

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Apr 2021 22:00:00 -0000

ros-noetic-cob-helper-tools (0.6.20-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 24 Jan 2021 23:00:00 -0000

ros-noetic-cob-helper-tools (0.6.19-1buster) buster; urgency=high

  * Merge pull request #287 <https://github.com/ipa320/cob_command_tools/issues/287> from fmessmer/fix_catkin_lint
    fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 01 Dec 2020 23:00:00 -0000

ros-noetic-cob-helper-tools (0.6.18-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 20 Oct 2020 22:00:00 -0000

ros-noetic-cob-helper-tools (0.6.17-1buster) buster; urgency=high

  * Merge pull request #284 <https://github.com/ipa320/cob_command_tools/issues/284> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 16 Oct 2020 22:00:00 -0000

ros-noetic-cob-helper-tools (0.6.16-1buster) buster; urgency=high

  * Merge pull request #270 <https://github.com/ipa320/cob_command_tools/issues/270> from LoyVanBeek/feature/python3_compatibility
    [ci_updates] pylint + Python3 compatibility
  * python3 compatibility via 2to3
  * Merge pull request #271 <https://github.com/ipa320/cob_command_tools/issues/271> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Merge pull request #265 <https://github.com/ipa320/cob_command_tools/issues/265> from HannesBachter/feature/recover_service
    add services to en- and disable auto recover
  * add services to en- and disable auto recover
    add services to en- and disable auto recover
  * Contributors: Felix Messmer, Loy van Beek, fmessmer, hyb

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-helper-tools (0.6.15-1buster) buster; urgency=high

  * Merge pull request #253 <https://github.com/ipa320/cob_command_tools/issues/253> from benmaidel/fix/visualize_nav_goals


=== debian/control ===
Source: ros-noetic-cob-helper-tools
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-noetic-catkin, ros-noetic-dynamic-reconfigure, ros-noetic-message-generation
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-cob-helper-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cob-msgs, ros-noetic-cob-script-server, ros-noetic-diagnostic-msgs, ros-noetic-dynamic-reconfigure, ros-noetic-message-runtime, ros-noetic-rospy, ros-noetic-std-srvs, ros-noetic-tf, ros-noetic-visualization-msgs
Description: Helper scripts for Care-O-bot

## ros-noetic-cob-helper-tools 0.6.32

=== debian/changelog ===
ros-noetic-cob-helper-tools (0.6.32-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 28 Apr 2023 22:00:00 -0000

ros-noetic-cob-helper-tools (0.6.31-1focal) focal; urgency=high

  * Merge pull request #324 <https://github.com/ipa320/cob_command_tools/issues/324> from pgehring/reduce_logging
    [kevin] throttle identical loginfo stream
  * fix pylint
  * only check diagnostics message if parameter true
  * throttle identical loginfo stream
  * Contributors: Felix Messmer, fmessmer, pgehring

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 03 Jan 2023 23:00:00 -0000

ros-noetic-cob-helper-tools (0.6.30-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-helper-tools (0.6.29-1focal) focal; urgency=high

  * Merge pull request #319 <https://github.com/ipa320/cob_command_tools/issues/319> from fmessmer/feature/extend_fake_driver
    proper service and diagnostic logic for fake_driver
  * proper service and diagnostic logic for fake_driver
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-helper-tools (0.6.28-1focal) focal; urgency=high

  * Merge pull request #310 <https://github.com/ipa320/cob_command_tools/issues/310> from HannesBachter/fix/sleep_init
    sleep for 1 second after unsuccessful try to initialize
  * sleep for 1 second after unsuccessful try to initialize
  * Contributors: Felix Messmer, HannesBachter

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 14 Mar 2022 23:00:00 -0000

ros-noetic-cob-helper-tools (0.6.27-1focal) focal; urgency=high

  * Merge pull request #309 <https://github.com/ipa320/cob_command_tools/issues/309> from pgehring/feature/auto_tools
    combine auto_init and auto_recover
  * check enable state for subscribing and unsubscribing
  * fix imports
  * fix package name conflict
  * Revert "move dynamic reconfigure to python module"
    This reverts commit ce13c73a7638b44a8dcf23f75c82d86a83431ad4.
  * move dynamic reconfigure to python module
  * preserve auto_init and auto_recover nodes
  * use params from server to enable init or recover
  * setup auto_tools node
  * add auto_tools node
  * move auto_init and auto_recover to python module
  * Contributors: Felix Messmer, pgehring

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-cob-helper-tools (0.6.26-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 25 Nov 2021 23:00:00 -0000

ros-noetic-cob-helper-tools (0.6.25-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 01 Aug 2021 22:00:00 -0000

ros-noetic-cob-helper-tools (0.6.24-1focal) focal; urgency=high

  * Merge pull request #304 <https://github.com/ipa320/cob_command_tools/issues/304> from fmessmer/fixup_auto_tools
    fixup condition in auto_recover
  * fixup condition in auto_recover
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 01 Jul 2021 22:00:00 -0000

ros-noetic-cob-helper-tools (0.6.23-1focal) focal; urgency=high

  * Merge pull request #303 <https://github.com/ipa320/cob_command_tools/issues/303> from fmessmer/enhance_auto_tools
    enhance auto tools
  * tmp: debug logoutput for auto_recover for disabled cases
  * introduce em_state_ignore for auto_init
  * allow infinite auto_init
  * use message enum
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 30 Jun 2021 22:00:00 -0000

ros-noetic-cob-helper-tools (0.6.22-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 May 2021 22:00:00 -0000

ros-noetic-cob-helper-tools (0.6.21-1focal) focal; urgency=high

  * Merge pull request #301 <https://github.com/ipa320/cob_command_tools/issues/301> from HannesBachter/fix/visualize_in_map
    remove leading / in frame_id
  * remove leading / in frame_id
  * Contributors: Felix Messmer, HannesBachter

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Apr 2021 22:00:00 -0000

ros-noetic-cob-helper-tools (0.6.20-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 24 Jan 2021 23:00:00 -0000

ros-noetic-cob-helper-tools (0.6.19-1focal) focal; urgency=high

  * Merge pull request #287 <https://github.com/ipa320/cob_command_tools/issues/287> from fmessmer/fix_catkin_lint
    fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 01 Dec 2020 23:00:00 -0000

ros-noetic-cob-helper-tools (0.6.18-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 20 Oct 2020 22:00:00 -0000

ros-noetic-cob-helper-tools (0.6.17-1focal) focal; urgency=high

  * Merge pull request #284 <https://github.com/ipa320/cob_command_tools/issues/284> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 16 Oct 2020 22:00:00 -0000

ros-noetic-cob-helper-tools (0.6.16-1focal) focal; urgency=high

  * Merge pull request #270 <https://github.com/ipa320/cob_command_tools/issues/270> from LoyVanBeek/feature/python3_compatibility
    [ci_updates] pylint + Python3 compatibility
  * python3 compatibility via 2to3
  * Merge pull request #271 <https://github.com/ipa320/cob_command_tools/issues/271> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Merge pull request #265 <https://github.com/ipa320/cob_command_tools/issues/265> from HannesBachter/feature/recover_service
    add services to en- and disable auto recover
  * add services to en- and disable auto recover
    add services to en- and disable auto recover
  * Contributors: Felix Messmer, Loy van Beek, fmessmer, hyb

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-helper-tools (0.6.15-1focal) focal; urgency=high



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-cob-helper-tools//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
